package net.es.oscars.policy.axis2.service;

import org.apache.log4j.Logger;

import net.es.oscars.policy.axis2.types.*;

/**
 * OSCARSPolicySkeleton Accepts web service calls for policy service
 *  
 * @author Andrew Lake (alake@internet2.edu)
 */
public class OSCARSPolicySkeleton implements OSCARSPolicySkeletonInterface{
    Logger log = Logger.getLogger(this.getClass());
    
    /**
     * Handles incoming checkPolicy web service request
     * 
     * @param checkPolicyRequest the web service request
     * @return the response of the checkPolicy operation
     * @throws CheckPolicyFaultMessage
     */
    public CheckPolicyResponse checkPolicy(CheckPolicyRequest checkPolicyRequest) throws CheckPolicyFaultMessage{
        this.log.debug("checkPolicy.start");
        PolicyAdapter policyAdapter = new PolicyAdapter();
        CheckPolicyResponse response = null;
        try{
            response = policyAdapter.checkPolicy(checkPolicyRequest);
        }catch(Exception e){
            e.printStackTrace();
            throw new CheckPolicyFaultMessage(e.toString());
        }
        this.log.debug("checkPolicy.end");
        return response;
    }
}
